[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TContainedAction.Destroy

Destructor for the class instance.

## Declaration

Source position: actnlist.pas line 44

`public destructor TContainedAction.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. When ActionList has been assigned, its RemoveAction method is called to delete the current class instance.

Destroy calls the inherited method to free the class instance and unregister any action link clients.

## See also

TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TCustomActionList.RemoveAction |  | Removes the specified action from the action list.
TBasicAction.Destroy
TComponent.Destroy